#ifndef _kmozillapart_h_
#define _kmozillapart_h_

#include "xparthost_kpart.h"

class KAboutData;
class KProcess;

class KMozillaPart : public XPartHost_KPart
{
    Q_OBJECT

public:
    KMozillaPart(TQWidget *parentWidget, const char *widgetName,
	         TQObject *parent, const char *name, const TQStringList &);
    virtual ~KMozillaPart();

    virtual void createActions( const TQCString &xmlActions );

    static KAboutData *createAboutData();

private:
    KProcess *m_partProcess;
};

#endif

